package evmxgo

import (
	"gitlab.33.cn/link33/sidecar/model/pb"
	"gitlab.33.cn/link33/sidecar/pkg/plugins"
)

func (e *Evmxgo) Bind(kern plugins.Kernel) {
	// TODO implement me
	panic("not implement me")
}

func (e *Evmxgo) RollbackIBTP(ibtp *pb.IBTP, isSrcChain bool) (*pb.RollbackIBTPResponse, error) {
	// TODO implement me
	panic("implement me")
}

func (e *Evmxgo) IncreaseInMeta(ibtp *pb.IBTP) (*pb.IBTP, error) {
	// TODO implement me
	panic("implement me")
}

func (e *Evmxgo) GetOutMessage(to string, idx uint64) (*pb.IBTP, error) {
	// TODO implement me
	panic("implement me")
}

func (e *Evmxgo) GetInMessage(from string, idx uint64) ([][]byte, error) {
	// TODO implement me
	panic("implement me")
}

func (e *Evmxgo) GetInMeta() (map[string]uint64, error) {
	// TODO implement me
	panic("implement me")
}

func (e *Evmxgo) GetOutMeta() (map[string]uint64, error) {
	// TODO implement me
	panic("implement me")
}

func (e *Evmxgo) GetCallbackMeta() (map[string]uint64, error) {
	// TODO implement me
	panic("implement me")
}

func (e *Evmxgo) CommitCallback(ibtp *pb.IBTP) error {
	// TODO implement me
	panic("implement me")
}

func (e *Evmxgo) GetReceipt(ibtp *pb.IBTP) (*pb.IBTP, error) {
	// TODO implement me
	panic("implement me")
}
